com.mapinfo.midev.style

## Class ILineRendition.LineJoin

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.style.ILineRendition.LineJoin

All Implemented Interfaces:
  Serializable, Comparable

Enclosing interface:
  ILineRendition

    public static final class ILineRendition.LineJoin
    extends Enum

Controls how the segments of a line are to be joined together.

See Also:
  Serialized Form

### Field Summary

Fields
`static ILineRendition.LineJoin` `BEVEL` Joins path segments by connecting the outer corners of their wide outlines with a straight segment.
`static ILineRendition.LineJoin` `MITER` Joins path segments by extending their outside edges until they meet.
`static ILineRendition.LineJoin` `ROUND` Joins path segments by rounding off the corner at a radius of half the line width.

### Method Summary

All Methods Static Methods Concrete Methods
`static ILineRendition.LineJoin` `valueOf(String name)`
`static ILineRendition.LineJoin[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BEVEL

    public static final ILineRendition.LineJoin BEVEL

Joins path segments by connecting the outer corners of their wide outlines with a straight segment.

#### MITER

    public static final ILineRendition.LineJoin MITER

Joins path segments by extending their outside edges until they meet.

#### ROUND

    public static final ILineRendition.LineJoin ROUND

Joins path segments by rounding off the corner at a radius of half the line width.

### Method Detail

#### values

    public static ILineRendition.LineJoin[] values()

#### valueOf

    public static ILineRendition.LineJoin valueOf(String name)